Bug 445078 - alps thouchpad can not be used
alps thouchpad can not be used
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On: 458226
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 05:52 EDT by cornel panceac
Modified: 2009-06-10 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 12:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the customized xorg.conf (673 bytes, text/plain)
2008-07-24 11:13 EDT, cornel panceac
no flags Details
the log with the customized xorg.conf (8.00 KB, text/plain)
2008-07-24 11:14 EDT, cornel panceac
no flags Details
xorg log without xorg.conf (10.33 KB, text/plain)
2008-07-24 11:35 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2008-05-03 05:52:34 EDT
Description of problem:
whenever i try to use the touchpad, if wanna move the cursor to the right, first
the cursor gets reset to the left edge of the screen and only after starts to
move to the right. same for any other intended direction of movement. on the
same computer, red hat linux 7.3 works perfectly. on the same computer, if i
plug in a mouse, it works as expected.
also, the touchpad range does not cover the screen range (wich is 800x600).
putting into xorg.conf the input .. section from rhl 7.3 does not help.

Version-Release number of selected component (if applicable):
synaptics-0.14.6-7.fc9.i386




How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

in Xorg.0.log the device is identified as "AlpsPS/2 ALPS GlidePoint touchpad"

thnx
Comment 1 Bug Zapper 2008-05-14 06:35:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Hutterer 2008-07-23 02:09:26 EDT
Is this still an issue? If so, please attach an xorg.log and your xorg.conf,
it'll be hard to debug without them.
Comment 3 cornel panceac 2008-07-23 15:16:28 EDT
unfortunately x is no longer starting. same thing happened to me before on
debian lenny (beta).
Comment 4 Matěj Cepl 2008-07-23 20:01:52 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 cornel panceac 2008-07-24 11:12:13 EDT
the original xorg.conf was generated by fedora. this is a customized version
wich, if you're patient enough, allows the use of the touchpad most of the time
(moving finger on pad almost covers the screen, however, there is still the
problem with cursor position when you put the finger on pad ...). on the same
machine, deli 0.8, slackware 12, vector light rc1 (5.8?) are still starting the
gui. also,"x is no longer starting" actually means that x is starting and
locking the card into a black screen, both in ctrl-alt-f7 and in ctrl-alt-f{1..6}.
however, after ctrl-alt-f1 if i press ctrl-alt-del, laptop is rebooting (same
thing happened on lenny, wich now is no longer installed). here comes the
current xorg.conf:
Comment 6 cornel panceac 2008-07-24 11:13:41 EDT
Created attachment 312569 [details]
the customized xorg.conf
Comment 7 cornel panceac 2008-07-24 11:14:33 EDT
Created attachment 312570 [details]
the log with the customized xorg.conf
Comment 8 cornel panceac 2008-07-24 11:35:06 EDT
Created attachment 312572 [details]
xorg log without xorg.conf
Comment 9 Matěj Cepl 2008-07-24 18:53:00 EDT
Note, that this is a trident driver.
Comment 10 Peter Hutterer 2008-08-06 03:44:34 EDT
Is this a complete log? I don't see the usual spew that input devices generate when they are initialised by the server.


Also, you might want to start a separate bug for the graphics issue, which I can't help you with. Having a bug with the right title will get the right people to look at it.
Comment 11 cornel panceac 2008-08-06 23:52:08 EDT
yes these are complete logs.
Comment 12 Peter Hutterer 2008-08-07 00:23:07 EDT
(In reply to comment #11)
> yes these are complete logs.

ok, then you need to file a separate bug for the graphics card issue and mark it as a blocker for this one. the server hangs way before the input devices even get initialised, so we can't really debug the touchpad issue before we have a server that actually starts.
Comment 13 Bug Zapper 2009-06-09 20:36:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 cornel panceac 2009-06-10 12:03:34 EDT
f10 can no longer start x and f11 no longer boots on this old hardware, so i'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.